/*-------------------------------------------------------------------+
| Nom           : igosrdlg.r                                         |
| Module        : Module de dfinition des ressources de boites      |
| But           : Boite de dialogue de l'application IGOSR           |
| Fait par      : Vincent POZZERA                                    |
| Fait le       : 28/07/97                                           |
| Modifi le    : 06/12/10                                           |
|                                                                    |
+-------------------------------------------------------------------*/

#ifndef ___e_ressource___
#define ___e_ressource___
#endif


#include <Mstn\MicroStation.r.h>
#include <Mstn\MdlApi\rscdefs.r.h>
#include <Mstn\MdlApi\cmdclass.r.h>
#include <Mstn\MdlApi\dlogbox.r.h>
#include <Mstn\MdlApi\dlogids.r.h>

#include "TestMaDllID.H"


#define  DLLAPP_TESTMADLL       1

#if defined (MSVERSION) && (MSVERSION >= 0xa00)
DllMdlApp DLLAPP_TESTMADLL=
    {
    L"TESTMADLL", L"TestMaDllDll"          // taskid, dllName
    }
#else
DllMdlApp DLLAPP_TESTMADLL=
    {
    "TESTMADLL", "TestMaDllDll"          // taskid, dllName
    }
#endif

DialogBoxRsc DIALOGID_TestMaDll =
    {
    DIALOGATTR_TOOLBOXCOMMON|DIALOGATTR_UNCLOSEABLE,
    0, 0,
    NOHELP, MHELP,
    NOHOOK, NOPARENTID,
    "TestMaDll",
{
{{0, 0, 0, 0}, ToolBox, TOOLBOXID_TestMaDll, ON, 0, "", ""},
}
    };

DItem_ToolBoxRsc TOOLBOXID_TestMaDll =
    {
    NOHELP, MHELP, NOHOOK, NOARG, 0, "TestMaDll",
    {
	{{ 0, 0, 0, 0}, IconCmd, ICONCMDID_TestMaDll,   ON, 0, "TestMaDll", "owner=\"IGOSR\""},
    }
    };


  DItem_IconCmdRsc ICONCMDID_TestMaDll =
    {
     NOHELP,
     MHELP,
     0,
     NOCMD,
     OTASKID,
     "",
     ""
    }
   extendedAttributes
   {{
     /*--- Pour apparition dans le champ de statut ---*/
     {EXTATTR_FLYTEXT, "TestMaDll"},

     /*--- Pour apparition dans bubulle jaune ---*/
     {EXTATTR_BALLOON, "TestMaDll"},
   }};


	/*----------------------------------------------------------------------+
	|                                                                       |
	|   Small Icon Item Resource                                            |
	|                                                                       |
	+----------------------------------------------------------------------*/
	IconCmdSmallRsc ICONSMALLICONID_TestMaDll =
		{
		23,    23, ICONFORMAT_WINDOWS ,    BLACK_INDEX, "","TestMaDll_Small"
		};

	/*----------------------------------------------------------------------+
	|                                                                       |
	|   Large Icon Item Resource                                            |
	|                                                                       |
	+----------------------------------------------------------------------*/
	IconCmdLargeRsc ICONLARGEICONID_TestMaDll =
		{
		31,    31, ICONFORMAT_WINDOWS ,    BLACK_INDEX, "","TestMaDll_Large"
};