// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently

#pragma once
#define winNT

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN            // Exclude rarely-used stuff from Windows headers
#endif

#include "targetver.h"

#pragma message ("TestMaDllDll.dll : Include AFX")

//#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS      // some CString constructors will be explicit

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <io.h>

#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>                     // MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <iostream>
#include <afxcontrolbars.h>

/*
+---------------------------------------------------------------------------------------------------+
|                                                                                                   |
|                           STL                                                                     |
|                                                                                                   |
+---------------------------------------------------------------------------------------------------+
*/
#pragma message ("TestMaDllDll.dll : Include STL")

#pragma warning (push,1)
#include <string>
#include <map>
#include <set>






#include <Mstn\basetype.h>





USING_NAMESPACE_BENTLEY_DGNPLATFORM
USING_NAMESPACE_BENTLEY_MSTNPLATFORM
    //USING_NAMESPACE_BENTLEY_MSTNPLATFORM_ELEMENT



#include <Bentley/Bentley.h>
#include <Bentley/BeFileName.h>
#include <DgnView/DgnElementSetTool.h>
#include <DgnView/IViewManager.h>


#include <Mstn/MstnTypes.h>
#include <Mstn/MdlApi/mselmdsc.fdf>
#include <Mstn/MdlApi/msmodel.fdf>
#include <Mstn/MdlApi/msview.fdf>
#include <Mstn/MdlApi/msscan.fdf>
#include <Mstn/MdlApi/msrmatrx.fdf>
#include <Mstn/MdlApi/mswindow.fdf>



#include <Mstn/MdlApi/leveltable.fdf>
#include <Mstn/MdlApi/msmisc.fdf>
#include <Mstn/MdlApi/mscnv.fdf>
#include <Mstn/MdlApi/msselect.fdf>
#include <Mstn/MdlApi/mssystem.fdf>
#include <Mstn/MdlApi/dloadlib.h>
#include <Mstn/MdlApi/mdllib.fdf>
#include <Mstn/MdlApi/msdgnmodelref.fdf>
#include <Mstn/MdlApi/msreffil.fdf>
#include <Mstn/MdlApi/mselemen.fdf>
#include <Mstn/MdlApi/msinput.fdf>
#include <Mstn/MdlApi/elementref.h>
#include <Mstn/MdlApi/mscell.fdf>
#include <Mstn/MdlApi/msscell.fdf>
#include <Mstn/MdlApi/mstmatrx.fdf>
#include <Mstn/MdlApi/mselmdsc.fdf>
#include <Mstn/MdlApi/mscurrtr.fdf>
#include <Mstn/MdlApi/msdgnobj.fdf>
#include <Mstn/MdlApi/msnativewindow.h>
#include <Mstn/MdlApi/msimage.fdf>
#include <Mstn/MdlApi/msbrepcommon.r.h>
#include <Mstn/MdlApi/dlmsys.fdf>
#include <Mstn/MdlApi/msscancrit.fdf>
#include <Mstn/MdlApi/msstate.fdf>
#include <Mstn/MdlApi/msdgnmodelref.fdf>
#include <Mstn/MdlApi/modelindex.fdf>
#include <Mstn/MdlApi/mssystem.fdf>
#include <Mstn/MdlApi/mslocate.fdf>
#include <Mstn/MdlApi/msstate.fdf>
#include <Mstn/MdlApi/msdisplaypath.h>
#include <Mstn/MdlApi/msmdlmesh.fdf>
#include <Mstn/MdlApi/msvec.fdf>
#include <Mstn/MdlApi/mstagdat.fdf>
#include <Mstn/MdlApi/mdlbspln.h>
#include <Mstn/MdlApi/msbsplin.fdf>
#include <Mstn/MdlApi/msmdlmesh_frombspline.fdf>
#include <Mstn/MdlApi/msrmgr.h>
#include <Mstn/MdlApi/msparse.fdf>
#include <Mstn/MdlApi/mscexpr.fdf>
#include <Mstn/MdlApi/msdialog.fdf>
#include <Mstn/MdlApi/MdlApi.h>
#include <Mstn/MdlApi/msritem.fdf>
#include <Mstn/MdlApi/msw32utl.fdf>


#include <Mstn/MdlApi/deprecated10_0.fdf>


#include <Mstn/cmdlist.r.h>

#include <Mstn/MstnPlatformAPI.h>

#include <Mstn/PSolid/mssolid.h>
#include <Mstn/PSolid/mssolid.fdf>


#include <RasterCore/msrastercore.h>
#include <RasterCore/RasterCollection.h>


#include <Mstn/Plot/PlotApi.h>


#include <DgnPlatform/DgnFontManager.h>

#include <ImageLib/ImageLibApi.h>


#include <3dModeling/3dModelingApi.h>

#include <DgnView/AccuDraw.h>


    USING_NAMESPACE_RASTER
        USING_NAMESPACE_BENTLEY_MSTNPLATFORM_PRINT


#pragma comment (lib, "BentleyGeom.lib"                         )
#pragma comment (lib, "BentleyGeomSerialization.lib"            )
#pragma comment (lib, "BeXml.lib"                               )
#pragma comment (lib, "ClashDetection.lib"                      )
#pragma comment (lib, "Constraint2dCore.lib"                    )
#pragma comment (lib, "Constraint2dElement.lib"                 )
#pragma comment (lib, "Constraint3dCore.lib"                    )
#pragma comment (lib, "Constraint3dElement.lib"                 )
#pragma comment (lib, "dbpwise.lib"                             )
#pragma comment (lib, "DgnGeoCoord.lib"                         )
#pragma comment (lib, "DgnPlatform.lib"                         )
#pragma comment (lib, "DgnView.lib"                             )
#pragma comment (lib, "ECObjects.lib"                           )
#pragma comment (lib, "ImageLib.lib"                            )
#pragma comment (lib, "InsolationLib.lib"                       )
#pragma comment (lib, "mdlbltin.lib"                            )
#pragma comment (lib, "mdlxmltools.lib"                         )
#pragma comment (lib, "mspsolid.lib"                            )
#pragma comment (lib, "mstntoolsubs.lib"                        )
#pragma comment (lib, "nativewindow.lib"                        )
#pragma comment (lib, "PointCloud.lib"                          )
#pragma comment (lib, "PSolidAcisInterop.lib"                   )
#pragma comment (lib, "PSolidCore.lib"                          )
#pragma comment (lib, "Publish.lib"                             )
#pragma comment (lib, "RasterCore.lib"                          )
#pragma comment (lib, "rasterlib.lib"                           )
#pragma comment (lib, "RmgrTools.lib"                           )
#pragma comment (lib, "SmartConnectorsCore.lib"                 )
#pragma comment (lib, "SmartFeature.lib"                        )
#pragma comment (lib, "splindlm.lib"                            )
#pragma comment (lib, "TerrainModelCore.lib"                    )
#pragma comment (lib, "TerrainModelElementHandler.lib"          )
#pragma comment (lib, "videolib.lib"                            )
#pragma comment (lib, "VisEdgesLib.lib"                         )
#pragma comment (lib, "3dModeling.lib"                          )
#pragma comment (lib, "animcore.lib"                            )
#pragma comment (lib, "BaseGeoCoord.lib"                        )
#pragma comment (lib, "Bentley.GeoCoord.lib"                    )
#pragma comment (lib, "Bentley.imodelconnection.lib"            )
#pragma comment (lib, "Bentley.imodelmessage.lib"               )
#pragma comment (lib, "Bentley.lib"                             )
#pragma comment (lib, "Bentley.MicroStation.MaterialControl.lib")
#pragma comment (lib, "Bentley.PrintDefinitions.lib"            )
#pragma comment (lib, "Bentley.PrintFoundation.lib"             )
#pragma comment (lib, "BentleyAllocator.lib"                    )



#define NOMINMAX
#undef min
#undef max



#include "resource.h"


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.